jif.extension

## Class JifNewArrayDel

- java.lang.Object
- - polyglot.ast.JLDel_c
  - - jif.extension.JifDel_c
    - - jif.extension.JifNewArrayDel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JifDel, polyglot.ast.JLDel, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.JLDel>

      public class JifNewArrayDel
      extends JifDel_c

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class jif.extension.JifDel_c

      `fatalExceptions`

    - ### Fields inherited from class polyglot.ast.JLDel_c

      `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifNewArrayDel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `noNegArraySizeExcThrown()`
    `void` | `setFatalExceptions(polyglot.types.TypeSystem ts, polyglot.util.SubtypeSet fatalExceptions)` Set the exceptions thrown by this node that are treated as fatal.
    `void` | `setNoNegArraySizeExcThrown()`
    `java.util.List<polyglot.types.Type>` | `throwTypes(polyglot.types.TypeSystem ts)` List of Types of exceptions that might get thrown.
    `polyglot.ast.Node` | `typeCheck(polyglot.visit.TypeChecker tc)`

    - ### Methods inherited from class jif.extension.JifDel_c

      `buildTypes, fatalExceptions, translate`

    - ### Methods inherited from class polyglot.ast.JLDel_c

      `addDecls, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, init, jl, lang, node, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JifNewArrayDel

          public JifNewArrayDel()

  - ### Method Detail

    - #### typeCheck

          public polyglot.ast.Node typeCheck(polyglot.visit.TypeChecker tc)
                                      throws polyglot.types.SemanticException

      Specified by:
        `typeCheck` in interface `polyglot.ast.NodeOps`
      Overrides:
        `typeCheck` in class `polyglot.ast.JLDel_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### throwTypes

          public java.util.List<polyglot.types.Type> throwTypes(polyglot.types.TypeSystem ts)

      List of Types of exceptions that might get thrown. This differs from the method defined in NewArray_c in that it does not throw a negative array size exception if the indices is guaranteed to be non-null
      Specified by:
        `throwTypes` in interface `polyglot.ast.NodeOps`
      Overrides:
        `throwTypes` in class `JifDel_c`

    - #### setNoNegArraySizeExcThrown

          public void setNoNegArraySizeExcThrown()

    - #### noNegArraySizeExcThrown

          public boolean noNegArraySizeExcThrown()

    - #### setFatalExceptions

          public void setFatalExceptions(polyglot.types.TypeSystem ts,
                                         polyglot.util.SubtypeSet fatalExceptions)

      Description copied from class: `JifDel_c`
      Set the exceptions thrown by this node that are treated as fatal.
      Specified by:
        `setFatalExceptions` in interface `JifDel`
      Overrides:
        `setFatalExceptions` in class `JifDel_c`